import pkg_resources
import pytest
import responses


@pytest.fixture
def incommon_urlopener(mock_responses: None) -> None:
    idplist = pkg_resources.resource_string(__name__, "idplist.xml")

    incommon_metadata = pkg_resources.resource_string(__name__, "InCommon-metadata.xml")

    responses.add(
        "GET", "https://cilogon.org/include/idplist.xml", body=idplist,
    )
    responses.add(
        "GET",
        "https://mdq.incommon.org/entities/urn:mace:incommon:osu.edu",
        body=incommon_metadata,
    )
    return None
